<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
 <head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <title>Debconf6 Keysigning Party</title>
  <link type="text/css" rel="stylesheet" href="style.css">
  <link rel="shortcut icon" href="http://www.debian.org/favicon.ico">
 </head>

 <body>
  <div align="center">
   <a href="http://www.debian.org/"><img src="http://www.debian.org/logos/openlogo-nd-50.png" border="0" hspace="0" vspace="0" alt=""></a>
   <a href="http://www.debian.org/"><img src="http://www.debian.org/Pics/debian.png" border="0" hspace="0" vspace="0" alt="Debian Project"></a>
  </div>

  <br />

  <table class="reddy" width="100%">
   <tr>
    <td class="reddy"><img src="http://www.debian.org/Pics/red-upperleft.png" align="left" border="0" hspace="0" vspace="0" alt="" width="15" height="16"></td>
    <td rowspan="2" class="reddy">Debconf6 Keysigning Party</td>
    <td class="reddy"><img src="http://www.debian.org/Pics/red-upperright.png" align="right" border="0" hspace="0" vspace="0" alt="" width="16" height="16"></td>
   </tr>

   <tr>
    <td class="reddy"><img src="http://www.debian.org/Pics/red-lowerleft.png" align="left" border="0" hspace="0" vspace="0" alt="" width="16" height="16"></td>
    <td class="reddy"><img src="http://www.debian.org/Pics/red-lowerright.png" align="right" border="0" hspace="0" vspace="0" alt="" width="15" height="16"></td>
   </tr>
  </table>

  <h1>Keysigning Party @ Debconf6 2006</h1>

  <h2>Where?</h2>

  <p>
  As part of the 7th Debian Conference in Oaxtepec, Mexico, there will
  be an OpenPGP (pgp/gpg) keysigning party (KSP).
  </p>

  <h2>When?</h2>

  <p>
  Friday, 19th of May, 2006 at 18:00.
  </p>

  <h2>What is/Why keysigning?</h2>

  <p>
  A key signing party is a get-together of people who use the PGP
  encryption system with the purpose of allowing those people to sign
  each others keys. Keysigning parties serve to extend the web of trust
  (WoT) to a great degree. Keysigning parties also serve as great
  opportunities to discuss the political and social issues surrounding
  strong cryptography, individual liberties, individual sovereignty and
  even implementing encryption technologies or perhaps future work on
  free encryption software.
  </p>

  <p>
  Matthew Wilcox maintains the
  <a href="http://www.parisc-linux.org/~willy/wot/debconf6/report.html">
  debconf6 keysigning analysis</a> web page. if you click on the key ID
  you get a report telling you all sorts of cool stuff including the
  people who are the furthest away from you. Trading sigs with those
  people helps the MSD the most (I'm nore sure if it helps the WoT the
  most, but I think so). This paragraph was contributed by Matt Taggart.
  </p>

  <p>
  Please read section One of the
  <a href="http://www.cryptnet.net/fdp/crypto/gpg-party.html#toc1">GnuPG
  Keysigning Party HOWTO</a> (note: we are doing the party slightly
  different, so the other chapters do not 100% apply).
  </p>

  <h2>How the Keysigning Will Happen</h2>

  <p>
  The KSP will be conducted using Len Sassaman's
  <a href="http://sion.quickie.net/keysigning.txt">Efficient Group Key
  Signing Method</a> which is a protocol to do keysignings in a way that
  is faster than the way many people may be familiar with.
  Last KSP at Debconf5 was the world biggest ever.
  <ul>
   <li>
    <p">
    <font color="#cc0000"><strong><em>The deadline has now passed. If
    you haven't submitted your key yet, it's too late to get your key
    on the primary list. It's not, however, too late to participate
    altogether. Please find
    <a href="http://v7w.com/anibal/anibal-small.jpg">Anibal Monsalve Salazar</a>
    at Debconf not later than Thursday, 18th of May, 2006 and we can
    work out a way for you to participate.</em></strong></font>
    </p>
   </li>
   <li>
    <p>
    If you intend to participate please send your ascii armored public
    key to <a href="mailto:ksp-dc6@v7w.com">ksp-dc6@v7w.com</a> by
    Saturday, 6th of May, 2006. Attach the key (or keys) as a file, and
    name that file like your email address appended with ".asc"
    (multiple keys per file/armor are just fine). Preferably do
    <b>not</b> sign or encrypt your email.
    </p>
   </li>
   <li>
    <p>
    Your key will be processed manually by the KSP coordinator and if
    the submitted key is valid, it will be listed at
    <a href="ksp-dc6-names.html">names</a>
    and a mail will be sent to you with your submitted keys and how
    they will be listed in the final list of participants. Please
    make a note of the number assigned to you. That will be your place
    in the line we'll form to check key fingerprints and IDs.
    </p>
   </li>
   <li>
    <p>
    On Monday, 8th of May, 2006 you will be able to fetch both the
    <a href="ksp-dc6.asc.bz2">complete keyring</a>
    (ksp-dc6.asc.bz2) with all the keys that were submitted along with a
    <a href="ksp-dc6.txt">text file</a>
    (ksp-dc6.txt) giving the fingerprint of each key on the ring.
    </p>
    <p>
    At
    <a href="http://debconf6.debconf.org/ksp/">http://debconf6.debconf.org/ksp/</a>,
    or alternatively at
    <a href="http://people.debian.org/~anibal/ksp-dc6/">http://people.debian.org/~anibal/ksp-dc6/</a>
    both the keyring and text files will have corresponding files with
    their MD5 and SHA1 checksums. At the same web page, there will be a
    <a href="ksp-dc6.txt.ps">postcript version</a>
    of the text file together with its corresponding MD5 and SHA1
    checksum files. All the MD5 and SHA1 files will be signed with
    public key 0x1880283c, which can be downloaded from
    keyring.debian.org or db.debian.org.
    </p>
    <p>
    To verify the signuture of the MD5 and SHA1 files, download
    anibal's key from db.debian.org, e.g.:
    </p>
    <p>
    <i><b>finger anibal/key@db.debian.org | gpg --import</b></i>
    <p>
    And then run gpg with the verify option (using
    ksp-dc6.txt.md5.asc as an example):
    </p>
    <p>
    <i><b>gpg --verify ksp-dc6.txt.md5.asc</b></i>
    </p>
   </li>
   <li>
    <p>
    At home, verify that the fingerprint of your key in ksp-dc6.txt is
    correct. Also compute the MD5 (SHA1) hash of ksp-dc6.txt. One way
    to do this is with md5sum (sha1sum) invoked as follows:
    </p>
    <p>
    <i><b>md5sum ksp-dc6.txt</b></i>
    </p>
    <p>
    <i><b>sha1sum ksp-dc6.txt</b></i>
    </p>
    <p>
    Alternatively, you can compute the MD5 (SHA1) hash as follows:
    </p>
    <p>
    <i><b>gpg --print-md md5 ksp-dc6.txt</b></i>
    </p>
    <p>
    <i><b>gpg --print-md sha1 ksp-dc6.txt</b></i>
    </p>
   </li>
   <li>
    <p>
    At Debconf, come with the hash you computed and a hardcopy of
    ksp-dc6.txt.
    </p>
   </li>
   <li>
    <p>
    A reader will recite the MD5 and SHA1 hashes of ksp-dc6.txt. See
    <a href="http://people.debian.org/~anibal/ksp-dc5/dscn4846_001.sized.jpg">photo</a>.
    Verify that one of the hashes recited matches what you computed.
    This guarantees that all participants are working from the same list
    of keys.
    </p>
    <p>
    According to the
    <a href="http://life.itu.ch/radioclub/rr/ap14.htm">international
    radiotelephony spelling alphabet</a>, the letters A, B, C, D, E and
    F will be read out as Alpha, Bravo, Charlie, Delta, Echo and
    Foxtrot, respectively.
    <p>
    </p>
   </li>
   <li>
    <p>
    Next, the reader will ask if everybody has the same MD5 (or SHA1)
    hash of ksp-dc6.txt. If that is the case, sign each page of your
    hardcopy of ksp-dc6.txt.
    </p>
   </li>
   <li>
    <p>
    The next step is to verify each participant's identity by checking
    preferably a passport or, alternatively, some other form of
    government issued ID. Please don't show very old, doubtful or
    easy-to-fake documents as people will not sign your key if you do
    so.
    </p>
    <p>
    Find in ksp-dc6.txt the three digits number assigned to one of your
    submitted keys. The three digits number is just above the line
    starting with 'pub'. Attach that number to yourself, so others will
    be able to see it. See
    <a href="http://people.debian.org/~anibal/ksp-dc5/dscn4862_001.sized.jpg">photo</a>
    and
    <a href="http://people.debian.org/~anibal/ksp-dc5/dscn4863_001.sized.jpg">photo</a>.
    </p>
    <p>
    Half of the "n" participants, numbered from 1 to n/2 will line up,
    ordered by number. The other half, from (n/2)+1 to n will line up so
    that person n/2 will face person (n/2)+1, (n/2)-1 will face person
    (n/2)+2, and so on.
    </p>
    <p>
    After every pair of people facing each other have checked their IDs,
    the first segment of the line will shift to the left one position.
    And so on, until each person has seen the rest of the people. See
    <a href="http://people.debian.org/~anibal/ksp-dc5/dscn4858_001.sized.jpg">photo</a>.
    </p>
   </li>
   <li>
    <p>
    Later that evening, or perhaps when you get home, you can sign the
    keys in ksp-dc6.txt which you were able to verify. Almost everybody
    in past Debconfs, used Peter Palfrader's
    <a href="http://pgp-tools.alioth.debian.org/">pgp-tools</a> to sign
    keys (using caff) and then encrypt and mail the signed keys (using
    gpg-mailkeys). The scripts are also available as the debian package
    <a href="http://packages.debian.org/signing-party">signing-party</a>.
    </p>
   </li>
  </ul>

  <!--
  <h2>Downloads (Do not exist yet)</h2>
  -->
  <h2>Downloads</h2>

   <ul>
   <li>
    <p>
    <a href="ksp-dc6.txt">ksp-dc6.txt</a> - List of participants (text
    file).
    </p>
   </li>
   <li>
    <p>
    <a href="ksp-dc6.asc.bz2">ksp-dc6.asc.bz2</a> - Participating keys
    (keyring).
    </p>
   </li>
  </ul>

  <h2>Summary: What to bring with you</h2>

   <ul>
   <li>
    <p>
    A printout of <a href="ksp-dc6.txt">ksp-dc6.txt</a>; check that
    your fingerprint is correct.
    </p>
   </li>
   <li>
    <p>
    A pen.
    </p>
   </li>
   <li>
    <p>
    The MD5 or SHA1 hash you made of
    <a href="ksp-dc6.txt">ksp-dc6.txt</a>
    so that we can ensure we are all working with the same copy.
    </p>
   </li>
   <li>
    <p>
    Some form of government issued ID (passport or similar).
    </p>
   </li>
   <li>
    <p>
    If this is your first keysigning, a copy of this web page and linked
    documents might be useful.
    </p>
   </li>
  </ul>

  <h2>Questions</h2>

  <p>
  If you have questions please ask
  <a href="http://v7w.com/anibal/anibal-small.jpg">Anibal Monsalve Salazar</a>
  during Debconf or send email to
  <a href="mailto:anibal@debian.org">anibal@debian.org</a>.
  </p>

  <p>
  Please see
  <a href="http://www.cryptnet.net/fdp/crypto/gpg-party.html#toc5">Relevant
  Information and Sources for More Information</a>.
  </p>

  <h2>Thanks</h2>

  <p>
  Special thanks goes to Amaya Rodrigo Sastre who provided the photos
  of the KSP at Debconf5, Benjamin Mako Hill who provided the scripts
  and text used at Debconf4, Peter Palfrader who provided the scripts
  and text used at Debconf3 and LinuxTag (2003 and 2004) whose reuse
  made putting together this keysigning easy and possible.
  </p>

  <div class="footer">
   <br />
   Last updated on Wed May 10 05:43:39 UTC 2006
   <br />
   Copyright (C) 2006 <a href="http://www.spi-inc.org/">Software in the Public Interest</a> and others;
   see <a href="http://www.debian.org/license">license terms</a>
  </div>

 </body>
</html>
